EvaluatorException (rhino 1.7.15 API)

Package org.mozilla.javascript

## Class EvaluatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.mozilla.javascript.RhinoException
        - - org.mozilla.javascript.EvaluatorException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `WrappedException`

      public class EvaluatorException
      extends RhinoException

  The class of exceptions thrown by the JavaScript engine.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvaluatorException​(java.lang.String detail)` |
    `EvaluatorException​(java.lang.String detail, java.lang.String sourceName, int lineNumber)` | Create an exception with the specified detail message.
    `EvaluatorException​(java.lang.String detail, java.lang.String sourceName, int lineNumber, java.lang.String lineSource, int columnNumber)` | Create an exception with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumnNumber()` | Deprecated. Use `RhinoException.columnNumber()` from the super class.
    `int` | `getLineNumber()` | Deprecated. Use `RhinoException.lineNumber()` from the super class.
    `java.lang.String` | `getLineSource()` | Deprecated. Use `RhinoException.lineSource()` from the super class.
    `java.lang.String` | `getSourceName()` | Deprecated. Use `RhinoException.sourceName()` from the super class.

    - ### Methods inherited from class org.mozilla.javascript.RhinoException

      `columnNumber, details, getMessage, getScriptStack, getScriptStack, getScriptStackTrace, getScriptStackTrace, getScriptStackTrace, getStackStyle, initColumnNumber, initLineNumber, initLineSource, initSourceName, lineNumber, lineSource, printStackTrace, printStackTrace, setStackStyle, sourceName, useMozillaStackStyle, usesMozillaStackStyle`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluatorException

          public EvaluatorException​(java.lang.String detail)

    - #### EvaluatorException

          public EvaluatorException​(java.lang.String detail,
                                    java.lang.String sourceName,
                                    int lineNumber)

      Create an exception with the specified detail message.

      Errors internal to the JavaScript engine will simply throw a RuntimeException.

      Parameters:
        `detail` - the error message
        `sourceName` - the name of the source reponsible for the error
        `lineNumber` - the line number of the source

    - #### EvaluatorException

          public EvaluatorException​(java.lang.String detail,
                                    java.lang.String sourceName,
                                    int lineNumber,
                                    java.lang.String lineSource,
                                    int columnNumber)

      Create an exception with the specified detail message.

      Errors internal to the JavaScript engine will simply throw a RuntimeException.

      Parameters:
        `detail` - the error message
        `sourceName` - the name of the source responsible for the error
        `lineNumber` - the line number of the source
        `columnNumber` - the columnNumber of the source (may be zero if unknown)
        `lineSource` - the source of the line containing the error (may be null if unknown)

  - ### Method Detail

    - #### getSourceName

          @Deprecated
          public java.lang.String getSourceName()

      Deprecated.
      Use `RhinoException.sourceName()` from the super class.

    - #### getLineNumber

          @Deprecated
          public int getLineNumber()

      Deprecated.
      Use `RhinoException.lineNumber()` from the super class.

    - #### getColumnNumber

          @Deprecated
          public int getColumnNumber()

      Deprecated.
      Use `RhinoException.columnNumber()` from the super class.

    - #### getLineSource

          @Deprecated
          public java.lang.String getLineSource()

      Deprecated.
      Use `RhinoException.lineSource()` from the super class.